package com.steerinfo.ems.dispatchplog.service.impl;

import com.steerinfo.framework.datasource.DataSourceKey;
import com.steerinfo.framework.datasource.TargetDataSource;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.dispatchplog.model.DispatchPLog;
import com.steerinfo.ems.dispatchplog.mapper.DispatchPLogMapper;
import com.steerinfo.ems.dispatchplog.service.IDispatchPLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;

/**
 * DispatchPLog服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-08-08 11:39
 * 类描述
 * 修订历史：
 * 日期：2020-08-08
 * 作者：generator
 * 参考：
 * 描述：DispatchPLog服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "dispatchPLogService")
public class DispatchPLogServiceImpl extends BaseServiceImpl<DispatchPLog, String> implements IDispatchPLogService {

    @Autowired
    private DispatchPLogMapper dispatchPLogMapper;

    @Override
    protected IBaseMapper<DispatchPLog, String> getMapper() {
        return dispatchPLogMapper;
    }
}
