package com.steerinfo.ems.dzmaterialsf.service;

import com.steerinfo.ems.dzmaterialsf.model.DzMaterialSf;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * @author Shadow
 * @create 2021-10-15 18:11
 * @project xt-ems-api-new
 */
@FeignClient(value = "xt-ems-datasource")
@Component
public interface DzMaterialSFDBServer {

    @GetMapping("v1/dematerialSfDb/getDzMaterialSf")
    public List<DzMaterialSf> getDzMaterialSf();
}
