package com.steerinfo.ems.emscordas.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.emscordas.model.EmsCordas;
import com.steerinfo.ems.emscordas.mapper.EmsCordasMapper;
import com.steerinfo.ems.emscordas.service.IEmsCordasService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * EmsEAiHourSumTab1服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-11-23 05:10
 * 类描述
 * 修订历史：
 * 日期：2019-11-23
 * 作者：generator
 * 参考：
 * 描述：EmsEAiHourSumTab1服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "emsCordasService")
public class EmsCordasServiceImpl extends BaseServiceImpl<EmsCordas, String> implements IEmsCordasService {

    @Autowired
    private EmsCordasMapper emsCordasMapper;

    @Override
    protected IBaseMapper<EmsCordas, String> getMapper() {
        return emsCordasMapper;
    }

    @Override
    public List<Map<String, Object>> getTableData(HashMap<String, Object> m) {
        return emsCordasMapper.getTableData(m);
    };

}
