package com.steerinfo.ems.emsscqklg.service;

import com.steerinfo.ems.emsscqklg.model.EmsScqkLg;
import com.steerinfo.ems.emsscqklg.model.LgReal;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * EmsScqkLg服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-19 10:43
 * 类描述
 * 修订历史：
 * 日期：2021-10-19
 * 作者：generator
 * 参考：
 * 描述：EmsScqkLg服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@FeignClient(value = "xt-ems-datasource")
@Component
public interface EmsLgReportService {
    @GetMapping("v1/lgreport/queryReportByTime")
    public List<EmsScqkLg> queryReportByTime();

    @GetMapping("v1/lgReal/queryReals1")
    public List<LgReal> queryReals1();

    @GetMapping("v1/lgReal/queryReals2")
    public List<LgReal> queryReals2();
}