package com.steerinfo.ems.njformula.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.njformula.model.NjFormula;
import com.steerinfo.ems.njformula.mapper.NjFormulaMapper;
import com.steerinfo.ems.njformula.service.INjFormulaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;

/**
 * NjFormula服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-14 02:53
 * 类描述
 * 修订历史：
 * 日期：2021-10-14
 * 作者：generator
 * 参考：
 * 描述：NjFormula服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "njFormulaService")
public class NjFormulaServiceImpl extends BaseServiceImpl<NjFormula, String> implements INjFormulaService {

    @Autowired
    private NjFormulaMapper njFormulaMapper;

    @Override
    protected IBaseMapper<NjFormula, String> getMapper() {
        return njFormulaMapper;
    }

    @Override
    public NjFormula getByMateralNo(String MateralNo) {
        return njFormulaMapper.getByMateralNo(MateralNo);
    }
}
