package com.steerinfo.ems.emscalorificvalue.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.emscalorificvalue.model.EmsCalorificValue;
import com.steerinfo.ems.emscalorificvalue.mapper.EmsCalorificValueMapper;
import com.steerinfo.ems.emscalorificvalue.service.IEmsCalorificValueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;

/**
 * EmsCalorificValue服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-14 08:22
 * 类描述
 * 修订历史：
 * 日期：2021-10-14
 * 作者：generator
 * 参考：
 * 描述：EmsCalorificValue服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "emsCalorificValueService")
public class EmsCalorificValueServiceImpl extends BaseServiceImpl<EmsCalorificValue, String> implements IEmsCalorificValueService {

    @Autowired
    private EmsCalorificValueMapper emsCalorificValueMapper;

    @Override
    protected IBaseMapper<EmsCalorificValue, String> getMapper() {
        return emsCalorificValueMapper;
    }


    @Override
    public List<EmsCalorificValue> getNewDate() {
        return emsCalorificValueMapper.getNewDate();
    }

    @Override
    public String getValue(HashMap<String, Object> hashMap) {
        return emsCalorificValueMapper.getValue(hashMap);
    }

}
