package com.steerinfo.ems.emsgmpcjh.service;

import com.steerinfo.ems.emsgmpcjh.model.EmsGmPcJh;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

/**
 * EmsGmPcJh服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-11 03:49
 * 类描述
 * 修订历史：
 * 日期：2021-09-11
 * 作者：generator
 * 参考：
 * 描述：EmsGmPcJh服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IEmsGmPcJhService extends IBaseService<EmsGmPcJh, String>{
    //获取国贸标号
    String getMaxid(EmsGmPcJh emsGmPcJh);
    //下发与取消下发
    int  updateState(EmsGmPcJh emsGmPcJh);
    //轮次计划查询
    PageList<Map<String, Object>>  getGmPcJhDataForPage(HashMap<String, Object> parmas, Integer pageNum,
                                                         Integer pageSize);
    //重量调整页面查询
    PageList<Map<String, Object>>  getXsDdDate(HashMap<String, Object> parmas, Integer pageNum,
                                                        Integer pageSize);

    RESTfulResult insertexcel(File file) throws Exception;

    //审核页面查询
    PageList<Map<String, Object>>  getXsShData(HashMap<String, Object> parmas, Integer pageNum,
                                               Integer pageSize);

    //每月自动生成内部计划
    public void addNbjh();

}