package com.steerinfo.ems.emsprodplanmonth.service;

import com.steerinfo.framework.datasource.DataSourceKey;
import com.steerinfo.framework.datasource.TargetDataSource;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.emsprodplanmonth.model.EmsProdplanMonth;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * EmsProdplanMonth服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-07-02 11:10
 * 类描述
 * 修订历史：
 * 日期：2021-07-02
 * 作者：generator
 * 参考：
 * 描述：EmsProdplanMonth服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IEmsProdplanMonthService extends IBaseService<EmsProdplanMonth, String>{

    public PageList<Map<String, Object>> getDateEditForPage(HashMap<String, Object> parmas, Integer pageNum,
                                                            Integer pageSize);

    public PageList<Map<String, Object>> getDateLc(HashMap<String, Object> parmas, Integer pageNum,
                                                            Integer pageSize);

    /**
     * 获取最大的序列号
     * @return
     */
     public EmsProdplanMonth getMaxSqno();
}