package com.steerinfo.ems.emsprodplanyear.service;

import com.steerinfo.ems.emsprodplanyear.model.EmsProdplanYear;
import com.steerinfo.framework.service.IBaseService;

import java.text.ParseException;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * EmsProdplanYear服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-06-26 08:40
 * 类描述
 * 修订历史：
 * 日期：2021-06-26
 * 作者：generator
 * 参考：
 * 描述：EmsProdplanYear服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IEmsProdplanYearService extends IBaseService<EmsProdplanYear, String>{

//    /**
//     * 数据生成
//     * @param parmas
//     * @return
//     */
//    public PageList<Map<String, Object>> getDateEditForPage(HashMap<String, Object> parmas, Integer pageNum,
//                                                            Integer pageSize);

    /**
     * 生成表数据
     * @param parmas
     * @return
     */
    List<Map<String, Object>> getDateForProduct(HashMap<String, Object> parmas);

    /**
     * 获取指定月天数
     * @param date
     * @return 天数
     */
    int getDaysOfMonth(String date) throws ParseException;
    /**
     * 获取指定月天数
     * @param date
     * @return 天数
     */
    int getDaysOfMonth(Date date) throws ParseException;

    /**
     * 获取每日平均重量
     * @param sumWeight 总重量
     * @param day 天数
     * @return 每天的数量
     */
    public int[] avgWeight(Integer sumWeight,Integer day);
}