package com.steerinfo.ems.foldthevalues.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.foldthevalues.model.FoldTheValues;
import com.steerinfo.framework.service.pagehelper.PageList;

import javax.script.ScriptException;
import java.text.ParseException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * FoldTheValues服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-14 02:33
 * 类描述
 * 修订历史：
 * 日期：2021-10-14
 * 作者：generator
 * 参考：
 * 描述：FoldTheValues服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IFoldTheValuesService extends IBaseService<FoldTheValues, String>{
    public void getData()throws ScriptException;

    public PageList<Map<String, Object>> getDateForPage(HashMap<String, Object> parmas, Integer pageNum,
                                                   Integer pageSize);
    public void getMonthData() throws ScriptException, ParseException;
    public void getDataForwl();
    public void insertNewDate();

}