package com.steerinfo.ems.njformula.mapper;

import com.steerinfo.ems.njformula.model.NjFormula;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface NjFormulaMapper extends IBaseMapper<NjFormula, String> {
    //根据物料编码获取公式
    public NjFormula getByMateralNo(@Param("MateralNo") String MateralNo);
}